Subject: Lead from Live Chat - Rentacardoha.com
From: Uday Uday <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sun, 20 Sep 2020 03:57:53 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Uday Uday
E-mail | [email-masked]
Lead About | Rental - Without driver
Date of Rental | 12-01-2020
Length of Rental | 3-4 years
Details of requirement | i am looking for rent a car for long term (3 to 4 years). But i need only SUVS from your range of services. I would highly appreciate your earliest response with your best offer / package. Please do send the quote by email. I will personally get back to you once I evaluate the offers.
Date | 09-20-2020

| |